import TreeDataPool from "@/Pool/TreeData";
import DataStackPool from "@/Pool/dataStack"
import CardList from "@/Pool/CardList";
import VideoPhotoData from "@/Pool/VideoPhotoData";
import VideoTaskData from "@/Pool/VideoTaskData";
import VideoCaptrue from "@/Pool/VideoCapture";

/* eslint-disable */
const onlyTreeDataPool = new TreeDataPool
const onlyDataStack = new DataStackPool
const onlyCardList = new CardList
const onlyVideoPhotoData = new VideoPhotoData
const onlyVideoTaskData = new VideoTaskData
const onlyVideoCaptrue = new VideoCaptrue

const mixin = {
  data() {
    return {
      TreeDataPool: onlyTreeDataPool,
      DataStackPool: onlyDataStack,
      CardList: onlyCardList,
      VideoPhotoData: onlyVideoPhotoData,
      VideoTaskData: onlyVideoTaskData,
      VideoCaptrue: onlyVideoCaptrue,

    };
  },
};
export default mixin;